import 'package:json_annotation/json_annotation.dart';

part 'banner.g.dart';

@JsonSerializable()
class Banner {
  static const ACTION_PROMOTION = "open_promotion";
  static const ACTION_PRODUCT = "open_product";
  static const ACTION_CATEGORY = "open_category";
  static const ACTION_TAG = "open_tag";
  static const ACTION_URL = "open_url";
  static const ACTION_WEBVIEW = "open_webview";

  Banner(this.id, this.imageUrl, this.action, this.referenceId);

  String id;
  String imageUrl;
  String action;
  String referenceId;
  BannerType type;

  factory Banner.fromJson(Map<String, dynamic> json) => _$BannerFromJson(json);

  Map<String, dynamic> toJson() => _$BannerToJson(this);
}

enum BannerType {
  @JsonValue(0)
  carousel,

  @JsonValue(1)
  body
}