import 'package:json_annotation/json_annotation.dart';

part 'dealerRanking.g.dart';

@JsonSerializable()
class DealerRanking {
  DealerRanking();

  String dealerId;
  String dealerCode;
  String fullName;

  String cpf;

  @JsonKey(name: 'cnpj')
  String storeCnpj;

  String role;
  String sellerId;
  String companyName;

  String period;
  int position;
  int quantity;
  double totalAmount;

  List<DealerRankingItem> ranking;

  factory DealerRanking.fromJson(Map<String, dynamic> json) =>
      _$DealerRankingFromJson(json);

  Map<String, dynamic> toJson() => _$DealerRankingToJson(this);
}

@JsonSerializable()
class DealerRankingItem {
  DealerRankingItem();

  String fullName;

  factory DealerRankingItem.fromJson(Map<String, dynamic> json) =>
      _$DealerRankingItemFromJson(json);

  Map<String, dynamic> toJson() => _$DealerRankingItemToJson(this);
}